edu.csus.ecs.pc2.api

## Enum IClient.ClientType

- java.lang.Object
- - java.lang.Enum<IClient.ClientType>
  - - edu.csus.ecs.pc2.api.IClient.ClientType

- All Implemented Interfaces:
    Serializable, Comparable<IClient.ClientType>
  Enclosing interface:
    IClient

      public static enum IClient.ClientType
      extends Enum<IClient.ClientType>

  This enumerates the Client types defined in the system (that is, the types of Clients visible through the PC2 API).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADMIN_CLIENT` Admin client.
    `JUDGE_CLIENT` Judge client.
    `SCOREBOARD_CLIENT` Scoreboard client.
    `TEAM_CLIENT` Team client.
    `UNKNOWN_CLIENT` Unknown client type.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IClient.ClientType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IClient.ClientType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN_CLIENT

          public static final IClient.ClientType UNKNOWN_CLIENT

      Unknown client type.

    - #### TEAM_CLIENT

          public static final IClient.ClientType TEAM_CLIENT

      Team client.

    - #### JUDGE_CLIENT

          public static final IClient.ClientType JUDGE_CLIENT

      Judge client.

    - #### SCOREBOARD_CLIENT

          public static final IClient.ClientType SCOREBOARD_CLIENT

      Scoreboard client.

    - #### ADMIN_CLIENT

          public static final IClient.ClientType ADMIN_CLIENT

      Admin client.

  - ### Method Detail

    - #### values

          public static IClient.ClientType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IClient.ClientType c : IClient.ClientType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IClient.ClientType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null